Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.openjpa.kernel
Enum DataCacheStoreMode

    java.lang.Object
      java.lang.Enum<DataCacheStoreMode>
          org.apache.openjpa.kernel.DataCacheStoreMode

All Implemented Interfaces:
  Serializable, Comparable<DataCacheStoreMode>

    public enum DataCacheStoreMode

extends Enum<DataCacheStoreMode>

DataCache Store modes

Enum Constant Summary
`BYPASS` Write updates, inserts and deletes directly to the database.
`REFRESH` Store updates, inserts and deletes in the DataCache.
`USE` Store updates, inserts and deletes in the DataCache.

Method Summary
`static DataCacheStoreMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DataCacheStoreMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### USE

    public static final DataCacheStoreMode USE

  Store updates, inserts and deletes in the DataCache. The DataCache will not be refreshed when data is read from the database.

### BYPASS

    public static final DataCacheStoreMode BYPASS

  Write updates, inserts and deletes directly to the database. The DataCache will not be aware of these changes and may need to be refreshed.

### REFRESH

    public static final DataCacheStoreMode REFRESH

  Store updates, inserts and deletes in the DataCache. Entities which are read from the database will be refreshed in the DataCache.

Method Detail

### values

    public static DataCacheStoreMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DataCacheStoreMode c : DataCacheStoreMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DataCacheStoreMode valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.